MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
LocatedUri Struct Reference

`#include <LocateUri.hxx>`

Collaboration diagram for LocatedUri:
[legend]

## Public Types
enum | Type { Type::ABSOLUTE, Type::RELATIVE, Type::PATH }

## Public Member Functions
| LocatedUri (Type _type, const char *_uri, AllocatedPath &&_path=AllocatedPath::Null())

## Data Fields
enum LocatedUri::Type | type
const char * | canonical_uri
AllocatedPath | path
| Contains the local file path if type==FILE. More...

## Detailed Description

Definition at line 44 of file LocateUri.hxx.

## Member Enumeration Documentation

enum LocatedUri::Type
| strong

Enumerator
ABSOLUTE | An absolute URI with a supported scheme.
RELATIVE | A relative URI path.
PATH | A local file. The path attribute is valid.

Definition at line 45 of file LocateUri.hxx.

## Constructor & Destructor Documentation

LocatedUri::LocatedUri | ( | Type | _type,
|  | const char * | _uri,
|  | AllocatedPath && | _path = `AllocatedPath::Null()`
| ) |  |
| inline

Definition at line 69 of file LocateUri.hxx.

## Field Documentation

const char* LocatedUri::canonical_uri

Definition at line 62 of file LocateUri.hxx.

AllocatedPath LocatedUri::path

Contains the local file path if type==FILE.

Definition at line 67 of file LocateUri.hxx.

enum LocatedUri::Type LocatedUri::type

The documentation for this struct was generated from the following file:

- LocateUri.hxx